unit Orders;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls, Buttons, Db, Mask, DBCtrls, Grids, DBGrids;

type
  Tfrm_Orders = class(TForm)
    pan_Top: TPanel;
    cb_Close: TBitBtn;
    pan_OrderLines: TPanel;
    ds_Orders: TDataSource;
    txt_SearchOrder: TEdit;
    pan_Orders: TPanel;
    Label2: TLabel;
    txt_Order: TDBEdit;
    txt_Customer: TDBEdit;
    txt_CustomerName: TDBEdit;
    txt_Discount: TDBEdit;
    Label3: TLabel;
    Label5: TLabel;
    cb_Insert: TBitBtn;
    cb_Delete: TBitBtn;
    cb_Post: TBitBtn;
    cb_Cancel: TBitBtn;
    DBEdit1: TDBEdit;
    DBEdit2: TDBEdit;
    DBEdit3: TDBEdit;
    DBEdit4: TDBEdit;
    DBEdit5: TDBEdit;
    DBEdit6: TDBEdit;
    DBEdit7: TDBEdit;
    ds_OrderLines: TDataSource;
    grd_OrderLines: TDBGrid;
    DBNavigator1: TDBNavigator;
    Label4: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    Label11: TLabel;
    txt_Total: TDBEdit;
    Label12: TLabel;
    Panel1: TPanel;
    Label13: TLabel;
    Label14: TLabel;
    procedure txt_SearchOrderKeyPress(Sender: TObject; var Key: Char);
    procedure cb_InsertClick(Sender: TObject);
    procedure cb_DeleteClick(Sender: TObject);
    procedure cb_PostClick(Sender: TObject);
    procedure cb_CancelClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frm_Orders: Tfrm_Orders;

implementation

uses dmGeneral;

{$R *.DFM}

procedure Tfrm_Orders.txt_SearchOrderKeyPress(Sender: TObject;
  var Key: Char);
begin
	if Key = #13 then begin
  	if txt_SearchOrder.Text <> '' then 
      with dm_General do begin
        if tbl_Orders.Locate('IdOrder', txt_SearchOrder.Text, []) then
          txt_SearchOrder.Clear
        else
          Beep;
      end;
  	Key := #0;
  end;
end;

procedure Tfrm_Orders.cb_InsertClick(Sender: TObject);
begin
	ds_Orders.DataSet.Insert;
  txt_Order.SetFocus;
end;

procedure Tfrm_Orders.cb_DeleteClick(Sender: TObject);
begin
	ds_Orders.DataSet.Delete;
end;

procedure Tfrm_Orders.cb_PostClick(Sender: TObject);
begin
	ds_Orders.DataSet.Post;
end;

procedure Tfrm_Orders.cb_CancelClick(Sender: TObject);
begin
	ds_Orders.DataSet.Cancel;
end;

end.
